UR::Object::View::Aspect(3pm)

NAME
UR::Object::View::Aspect - a specification for one aspect of a view

SYNOPSIS
 my $v = $o->create_view(
   perspective => 'default',
   toolkit => 'xml',
   aspects => [
     'id',
     'name',
     'title',
     {
        name => 'department',
        perspective => 'logo'
     },
     {
        name => 'boss',
        label => 'Supervisor',
        aspects => [
            'name',
            'title',
            {
              name => 'subordinates',
              perspective => 'graph by title'
            }
        ]
     }
   ]
 );